Subject: bug#2293: 23.0.90; lazy-completion-table broken for bibtex-mode

From: "Roland Winkler" <[email-masked]>
Date: Wed, 11 Feb 2009 22:16:10 +0100

lazy-completion-table seems to be broken for bibtex-mode.
bibtex-reference-keys is initialized via lazy-completion-table.
Yet when I use minibuffer completion for bibtex-search-entry
(which is using bibtex-reference-keys for completion) it gives me
the error message

completion--some: Symbol's value as variable is void: lambda

The usage of lazy-completion-table by bibtex-mode did not change
since emacs 22 where minibuffer completion has been working fine.
Yet the internals of lazy-completion-tables have changed since then.
Is there anything bibtex-mode needs to do different now?

In GNU Emacs 23.0.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.9)
 of 2009-02-07 on lukas